import Vue from 'vue'
import App from './App.vue'
import VueRouter from 'vue-router'
import index from "./pages/index.vue"
import list from "./pages/list.vue"
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
Vue.use(ElementUI);

// vue 使用这个插件
Vue.use(VueRouter)

const router = new VueRouter({
  routes: [{
    path:"/index",
    component:index,
    children:[{
      path:"table",
      component: () => import("./pages/table.vue")
    },{
      path:"list",
      component: list
    }]
  },{
    path:"/list",
    name:"list",
    component:list
  },{
    path:"*",
    component: ()=> import("./pages/404.vue")
  }]
})
// router.beforeEach((diyige,dige,dsf)=>{
//   // to 到哪个 路由 ==》 即将到的那个页面你的this.$route
//   // from 来自那个 路由 ==》 跳转的页面的 this.$route
//   console.log(to,from)
//   if(to.path == "/index/list"){
//     // 不谢任何参数 放行
//     next()

//   }else if (to.fullPath == "/list/table"){
//     // false 不跳转
//     next(false)
//   }else {
//     // 写路径的 跳转到对应
//     // push

//     next({path:"/index/list",query:{aa:11}})
//   }
// })

Vue.config.productionTip = false

new Vue({
  render: h => h(App),
  router:router
}).$mount('#app')
